application:
  id: DSRC01
  name: DSRC Communication Server
  history: true
  user-id: admin
  user-pswd: 1234
  listen-port: 9904

running:
  comm-binding-port: 3550
  dump-recv: true
  dump-send: true
  server-domain-name: GJATMSSERVER
  server-auth-user: test1
  server-auth-password: test1
  server-sender-text: DSRC Center Unit
  publication-multimedia: false
  publication-non-crypt-obu: true
  publication-antenna: 1
  subscription-status: true
  subscription-status-cycle: 30
  subscription-traffic: true
  filtering-min-speed: 3
  filtering-max-speed: 140
  filtering-history-minute: 50
  filtering-algorithm: 1

server:
  port: 8904
  shutdown: graceful
  error:
    whitelabel:
      enabled: true
    include-exception: false
    include-stacktrace: never
  servlet:
    session:
      timeout: 300

spring:
  application:
    name: dsrc-comm-server
  profiles:
    active: dev
  main:
    #web-application-type: none
    log-startup-info: true
    banner-mode: off
  mvc:
    view:
      prefix: /WEB-INF/jsp/
      suffix: .jsp
  datasource:
    hikari:
      auto-commit: true
      connection-test-query: SELECT 1 FROM DUAL
      minimumIdle: 5
      maximumIdle: 10
      #maximumPoolSize: 20
      idleTimeout: 30000
      connectTimeout: 10000
      pool-name: pool-dsrc-comm-server

---
spring:
  config:
    activate:
      on-profile: dev
  datasource:
    hikari:
      driver-class-name: oracle.jdbc.OracleDriver
      jdbc-url: jdbc:oracle:thin:@115.91.94.42:1522:HANTE19C
      username: ptatms
      password: ptatms

---
spring:
  config:
    activate:
      on-profile: prod
  datasource:
    hikari:
      driver-class-name: oracle.jdbc.OracleDriver
      #jdbc-url: jdbc:oracle:thin:@172.19.10.26:1521:ptatms
      jdbc-url: jdbc:oracle:thin:@(DESCRIPTION=(ADDRESS=(PROTOCOL=TCP)(HOST=172.19.10.25)(PORT=1521))(ADDRESS=(PROTOCOL=TCP)(HOST=172.19.10.26)(PORT=1521))(CONNECT_DATA=(SERVER=DEDICATED)(SERVICE_NAME=ptatms)))
      username: ptatms
      password: ptatms

